import { NamedBounds } from '../../bounds.js';
import { Tile, TileMatrixSet } from '../../tile.matrix.set.js';
export declare function qkToName(qk: string): string;
export declare function qkToNamedBounds(quadKeys: string[]): NamedBounds[];
export declare function tileNamesToNamedBounds(tileNames: string[], tms?: TileMatrixSet): NamedBounds[];
export declare function genTileNames(topLeftTile: Tile, xTotal: number, yTotal?: number, tms?: TileMatrixSet): NamedBounds[];
